Subject: GNU echo -n argument bug
From: Faissal Bensefia <[email-masked]>
To: [email-masked]
Date: Thu, 07 Apr 2016 20:27:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,
I stumbled across a bug in GNU coreutils' echo, if I use echo with an
option like -nn or -nnnnnnn it should be treated as something echoable
and echo "-nnnnnnn\n" but it doesn't, instead it takes it as an -n
argument and just doesn't echo with a newline. If I were to however put
a character that is not an 'n' in the long string of ns it does echo it
as it should.

Thank you for your time,
~Faissal Bensefia